<!--
SPDX-FileCopyrightText: 2021 WTF Kooperative eG <https://wtf-eg.de/>

SPDX-License-Identifier: AGPL-3.0-or-later
-->

# Kompetenzinventar ⚒ Ansible Rolle

[![REUSE status](https://api.reuse.software/badge/git.wtf-eg.de/kompetenzinventar/ki-ansible)](https://api.reuse.software/info/git.wtf-eg.de/kompetenzinventar/ki-ansible)

## Variablen:

| Name | Beschreibung | Standardwert |
| --- | --- | --- |
| `ki_frontend_image` | KI Frontend Image | `registry.wtf-eg.net/ki-frontend:latest` |
| `ki_frontend_uri` | URI zum Frontend | `https://ki-wtf-eg.de/` |
| `ki_frontend_port` | Docker-Port für das Frontend | `13337` |
| `ki_backend_image` | KI Backend Image | `registry.wtf-eg.net/ki-backend:latest` |
| `ki_backend_uri` | URI zum Backend | `https://ki-wtf-eg.de/api` |
| `ki_backend_port` | Docker-Port für das Backend | `13338` |
| `ki_db_image` | Datenbank-Image | `mariadb:10.6.3` |
| `ki_db_root_password` | KI DB Root Passwort | - |
| `ki_db_password` | KI DB Anwendungspasswort | - |
| `ki_auth` | Authentifizierungsmethode [`file`](https://git.wtf-eg.de/kompetenzinventar/ki-backend/src/branch/main/data/auth.yml) oder `ldap` | `file` |
| `ki_ldap_url` | LDAP Server URL | `ldaps://idp01.wtf-eg.net:636` |
| `ki_ldap_auth_user` | LDAP Login Benutzer | - |
| `ki_ldap_auth_password` | LDAP Login Passwort | - |
| `ki_ldap_base_dn` | Basis DN | `ou=people,dc=wtf-eg,dc=de` |
